This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 910340 (boinctui)

Summary: Review Request: boinctui - Fullscreen text mode manager for BOINC-client
Product: [Fedora] Fedora Reporter: Sergey Suslov <suleman1971>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED CANTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: floydbarber, i, msuchy, package-review, suleman1971, technion
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-21 15:14:21 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
rpmlint -i ouput for src.rpm none

Description Sergey Suslov 2013-02-12 06:37:02 EST
Spec URL: http://boinctui.googlecode.com/files/boinctui.spec
SRPM URL: http://boinctui.googlecode.com/files/boinctui-2.2.1-0.fc19.src.rpm
Description: 
Fullscreen text mode manager for BOINC core client. Boinctui is a text mode version of standard boinc-manager. Boinctui based on curses library.
Boinctui Homepage: http://boinctui.googlecode.com

Fedora Account System Username: suleman1971

Hi! This is my first package. I'm build Fedora packages via koji. I need sponsor.

Thanks.
Comment 1 Joshua Small 2013-08-03 07:24:29 EDT
Hi Sergey,

This is an informal review as I cannot sponsor.

I have run a koji build for you. You can see it here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5714543

Spec file: 

* It would be cleaner if the commented lines were removed.
* The Source0 line should be a URL where a tester can download the relevant source.
* Buildroot is obsolete and should be removed

rpmlint produces several relevant errors:
E: no-changelogname-tag

Your spec file must end with a changelog, see here: https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs

W: invalid-license GPL-3.0+
License must match the exact name here: https://fedoraproject.org/wiki/Licensing:Main
I believe GPLv3+ is the correct tag.

W: no-url-tag
Please add a url tag for your application.

A number of "macro in comment" tags are related to cleaning up commented out, unused lines.

W: summary-not-capitalized
Starting the summary with a capital will make it look better.

You can see the results of the broken source tag:

ACrpmbuild -ba ./boinctui.spec
error: File /home/fedora/rpmbuild/SOURCES/boinctui-2.2.1.tar.gz: No such file or directory

The build process also appears to ignore the %{optflags} macro.

The spec file suggests there are no documents. At a minimum, a license file is required. There should at least be some level of instructions shipped with it also.
Comment 2 Christopher Meng 2013-08-03 08:41:29 EDT
Reporter, please read Fedora guideline's carefully, don't read guideline from openSUSE, don't use OBS to build package. From license field I'm sure you haven't read licensing guideline yet.
Comment 3 Michael Schwendt 2013-08-04 05:45:49 EDT
Yes, this will need some fixes and another look.

* Run rpmlint (or rpmlint -I for more helpful output) on the src.rpm *and* all
built rpms. Feel free to ignore obvious false positives in the report, but fix
anything else. Preferably add a comment here about whether/when you think what
rpmlint reports is correct or incorrect.

* https://fedoraproject.org/wiki/Packaging:ReviewGuidelines
Comment 4 Michael Schwendt 2013-08-16 15:18:36 EDT
Created attachment 787445 [details]
rpmlint -i ouput for src.rpm

There's a typo in the last comment. It must be "rpmlint -i …" instead of "rpmlint -I …". Here's the output of "rpmlint -i boinctui-2.2.1-0.fc19.src.rpm".
Comment 5 Miroslav Suchý 2015-07-21 09:51:37 EDT
Sergey are you still interrested in this package? Any progress here?
Comment 6 Sergey Suslov 2015-07-21 15:14:21 EDT
Oh, I'm so sorry. I forgot this case. Unfortunately, I migrated to Ubuntu/Debian and can't support Fedora branch now. I'm intent to close this bug.